NameserviceRPCMetrics (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.federation.metrics, class: NameserviceRPCMetrics

Package org.apache.hadoop.hdfs.server.federation.metrics

# Class NameserviceRPCMetrics

java.lang.Object
org.apache.hadoop.hdfs.server.federation.metrics.NameserviceRPCMetrics

All Implemented Interfaces:
  `NameserviceRPCMBean`

@Metrics(name="NameserviceRPCActivity", about="Nameservice RPC Activity", context="dfs") public class NameserviceRPCMetrics extends Object implements NameserviceRPCMBean
Implementation of the Nameservice RPC metrics collector.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NAMESERVICE_RPC_METRICS_PREFIX`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NameserviceRPCMetrics(org.apache.hadoop.conf.Configuration conf, String nsId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addProxyTime(long time)`
  Add the time to proxy an operation from the moment the Router sends it to the Namenode until it replied.
  `static NameserviceRPCMetrics`
  `create(org.apache.hadoop.conf.Configuration conf, String nameService)`
  `String`
  `getNsId()`
  `double`
  `getProxyAvg()`
  `long`
  `getProxyOpFailureCommunicate()`
  `long`
  `getProxyOpFailureStandby()`
  `long`
  `getProxyOpNoNamenodes()`
  `long`
  `getProxyOpPermitAccepted()`
  `long`
  `getProxyOpPermitRejected()`
  `long`
  `getProxyOps()`
  `void`
  `incrProxyOpFailureCommunicate()`
  `void`
  `incrProxyOpFailureStandby()`
  `void`
  `incrProxyOpNoNamenodes()`
  `void`
  `incrProxyOpPermitAccepted()`
  `void`
  `incrProxyOpPermitRejected()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAMESERVICE_RPC_METRICS_PREFIX

    public static final String NAMESERVICE_RPC_METRICS_PREFIX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### NameserviceRPCMetrics

    public NameserviceRPCMetrics(org.apache.hadoop.conf.Configuration conf, String nsId)

- ## Method Details

  - ### create

    public static NameserviceRPCMetrics create(org.apache.hadoop.conf.Configuration conf, String nameService)

  - ### incrProxyOpFailureStandby

    public void incrProxyOpFailureStandby()

  - ### getProxyOpFailureStandby

    public long getProxyOpFailureStandby()
    Specified by:
      `getProxyOpFailureStandby` in interface `NameserviceRPCMBean`

  - ### incrProxyOpFailureCommunicate

    public void incrProxyOpFailureCommunicate()

  - ### getProxyOpFailureCommunicate

    public long getProxyOpFailureCommunicate()
    Specified by:
      `getProxyOpFailureCommunicate` in interface `NameserviceRPCMBean`

  - ### incrProxyOpNoNamenodes

    public void incrProxyOpNoNamenodes()

  - ### getProxyOpNoNamenodes

    public long getProxyOpNoNamenodes()
    Specified by:
      `getProxyOpNoNamenodes` in interface `NameserviceRPCMBean`

  - ### incrProxyOpPermitRejected

    public void incrProxyOpPermitRejected()

  - ### getProxyOpPermitRejected

    public long getProxyOpPermitRejected()
    Specified by:
      `getProxyOpPermitRejected` in interface `NameserviceRPCMBean`

  - ### incrProxyOpPermitAccepted

    public void incrProxyOpPermitAccepted()

  - ### getProxyOpPermitAccepted

    public long getProxyOpPermitAccepted()
    Specified by:
      `getProxyOpPermitAccepted` in interface `NameserviceRPCMBean`

  - ### addProxyTime

    public void addProxyTime(long time)
    Add the time to proxy an operation from the moment the Router sends it to the Namenode until it replied.
    Parameters:
      `time` - Proxy time of an operation in nanoseconds.

  - ### getProxyAvg

    public double getProxyAvg()
    Specified by:
      `getProxyAvg` in interface `NameserviceRPCMBean`

  - ### getProxyOps

    public long getProxyOps()
    Specified by:
      `getProxyOps` in interface `NameserviceRPCMBean`

  - ### getNsId

    public String getNsId()